This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426698 - Review Request: libical - Reference implementation of the iCalendar data type and serialization format
Review Request: libical - Reference implementation of the iCalendar data type...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 09:48 EST by Jakub 'Livio' Rusinek
Modified: 2008-10-27 05:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-20 02:44:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gnomeuser: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2007-12-24 09:48:25 EST
Spec URL: http://liviopl.fedorapeople.org/libical.spec
SRPM URL: http://liviopl.fedorapeople.org/libical-0.27-1.fc8.src.rpm
Description: Reference implementation of the
iCalendar data type and serialization
format. libical is used in dozens of
calendaring and scheduling products.
Comment 1 Kevin Fenzi 2007-12-24 11:43:44 EST
Is upstream alive again? 
See: https://bugzilla.redhat.com/show_bug.cgi?id=197765 for the last packaging
attempt here. 
Comment 2 Jakub 'Livio' Rusinek 2007-12-24 14:12:34 EST
This from #197765 is from softwarestudio.org, mine's from other source.
Also, mine has bigger version number.
Comment 3 Ville Skyttä 2007-12-24 16:35:18 EST
FWIW, according to the freeassociation.sf.net main page, "The upcomming [sic]
0.30 release can be found at: http://debian.citadel.org/source/libical-0.30.tgz"
Comment 4 Jakub 'Livio' Rusinek 2007-12-24 18:31:50 EST
So, it's alive ;) .
Comment 5 David Nielsen 2008-01-15 21:30:31 EST
This would make my in progress bongo spec a bit nicer so I'll take the review.

I successfully built this in mock (fedora-devel-x86_64) 

However rpmlint complains:
libical.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libical.so
libical.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libicalss.so
Comment 6 Jakub 'Livio' Rusinek 2008-01-16 14:13:53 EST
When I'll be back from this sh** (openSUSE) I'll try to fix it.
Wait for bugzilla's mail notifications :> .
Comment 7 David Nielsen 2008-01-16 16:23:37 EST
There seems to be some confusion as to who is the upstream for this, the
original maintainer has passed it on to:

http://www.citadel.org/doku.php/doku.php?id=installation:start
http://easyinstall.citadel.org/libical-0.27.tar.gz

I would urge that this be used, they also appear to be the ones working on the
next release.
Comment 8 Jakub 'Livio' Rusinek 2008-01-16 16:36:08 EST
I don't understand something here...

What source package should I use in Source tag in my spec?
Comment 9 David Nielsen 2008-01-16 16:51:19 EST
Long answer:

From talking to Bongo upstream libical is needlessly forked by to many people,
they would like an effort to standardize on one project which we then define as
being upstream. From what I can tell the original maintainer of libical has
passed the torch to Citadel so I suggest you use that projects tarball to base
your package off. They are also the ones working on the 0.30 release which as of
yet has not seen the light of day.

Short answer:
See comment 7.
Comment 10 Jakub 'Livio' Rusinek 2008-01-16 16:54:32 EST
Ok, tomorrow I'll change it and fix it.
Comment 11 Jakub 'Livio' Rusinek 2008-01-17 07:49:12 EST
I have a problem

libical.i386: W: devel-file-in-non-devel-package /usr/lib/libicalss.so
libical.i386: W: devel-file-in-non-devel-package /usr/lib/libical.so

Should I move files above to -devel?

What should I do with debug files below? -debuginfo package was created, but
debug files are provided by libical...

libical.i386: W: hidden-file-or-dir /usr/lib/debug/.build-id
libical.i386: W: hidden-file-or-dir /usr/lib/debug/.build-id
libical.i386: W: unstripped-binary-or-object
/usr/lib/debug/usr/lib/libical.so.0.27.6.debug
libical.i386: E: shared-lib-without-dependency-information
/usr/lib/debug/usr/lib/libical.so.0.27.6.debug
libical.i386: W: unstripped-binary-or-object
/usr/lib/debug/usr/lib/libicalss.so.0.27.6.debug
libical.i386: E: shared-lib-without-dependency-information
/usr/lib/debug/usr/lib/libicalss.so.0.27.6.debug
Comment 12 Jakub 'Livio' Rusinek 2008-01-17 08:36:09 EST
Spec URL: http://liviopl.fedorapeople.org/libical.spec
SRPM URL: http://liviopl.fedorapeople.org/libical-0.27-2.fc8.src.rpm

Update package and fixed many issues.
Comment 13 David Nielsen 2008-01-17 18:13:24 EST
You can improve on the .so thing by doing the following:

For the regular package
%{_libdir}/*.so.*

for -devel
%{_libdir}/*.so

The following should be removed, it's just cruft.
#%{_libdir}/*

Remove the entire line containing the exclude of the debug subdir, it prevents
correct rpm building because of a missing glob. The find debug info script
should take care of all this, and it builds a valid rpm when removed.

Also please remember to update the spec file on the site when you upload a new
version, many reviewers like to have the spec available for a quick read through
in it's latest version.

Aside that rpmlint is silent for all the packages and builds in mock
(fedora-devel-x86_64) - provided the exclude stuff is removed naturally.
Comment 14 Jakub 'Livio' Rusinek 2008-01-18 09:48:39 EST
[[ For the regular package
%{_libdir}/*.so.* ]]

[[ for -devel
%{_libdir}/*.so ]]

I wasn't thinking it could be done so easy way.

[[ The following should be removed, it's just cruft.
#%{_libdir}/* ]]

It was "backup comment".

[[ Remove the entire line containing the exclude of the debug subdir, it prevents
correct rpm building because of a missing glob. The find debug info script
should take care of all this, and it builds a valid rpm when removed. ]]

But if I remove %exclude, libical main package will containt debug files.
I've rpmlint'ed package many times and it was solution for a "bug".
Comment 16 David Nielsen 2008-01-18 23:54:10 EST
The license tag is wrong:

 (C) COPYRIGHT 2000, Eric Busboom, http://www.softwarestudio.org

 This program is free software; you can redistribute it and/or modify
 it under the terms of either:

    The LGPL as published by the Free Software Foundation, version
    2.1, available at: http://www.fsf.org/copyleft/lesser.html

  Or:

    The Mozilla Public License Version 1.0. You may obtain a copy of
    the License at http://www.mozilla.org/MPL/

So the license needs to be MPL, LGPLv2

Aside that remove the "backup comment". Just do that before checking it the
build, APPROVED.
Comment 18 Jakub 'Livio' Rusinek 2008-01-19 12:10:46 EST
New Package CVS Request
=======================
Package Name: libical
Short Description: Reference implementation of the iCalendar data type and
serialization format
Owners: liviopl
Branches: F-7 F-8
InitialCC: liviopl
Cvsextras Commits: yes
Comment 19 Kevin Fenzi 2008-01-19 13:35:39 EST
You forgot to set the fedora-cvs flag, but I was cc'ed here so I saw it. 

cvs done.
Comment 20 Jakub 'Livio' Rusinek 2008-01-19 14:22:07 EST
Sorry, I've forgot, because I didn't put anything to repo since... november?
Comment 21 Jakub 'Livio' Rusinek 2008-02-18 17:17:13 EST
martin@gamesplace.info: why you've CC'ed yourself while this Review is closed?
Comment 22 Lubomir Rintel 2008-10-27 04:33:56 EDT
Package Change Request
======================
Package Name: libical
New Branches: EL-5
New branch Owners: lkundrak

Rishi, the Fedora maintainer of the package: "Right now I don't want to dive into EPEL because I have my hands full with Fedora. So it would be nice if you could maintain the EL branch."
Comment 23 Huzaifa S. Sidhpurwala 2008-10-27 05:00:29 EDT
cvs done.
You need to go to pkgdb to ask for the commit access though

Note You need to log in before you can comment on or make changes to this bug.